Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices
Class MetadataLink

    java.lang.Object
      org.deegree.ogcwebservices.MetadataLink

All Implemented Interfaces:
  Cloneable

    public class MetadataLink

extends Object
implements Cloneable

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`MetadataLink(URL reference, String title, URI about, MetadataType metadataType)`

Method Summary
`Object` | `clone()`
`URI` | `getAbout()`
`MetadataType` | `getMetadataType()`
`URL` | `getReference()`
`String` | `getTitle()`
`void` | `setAbout(URI about)`
`void` | `setMetadataType(MetadataType metadataType)`
`void` | `setReference(URL reference)`
`void` | `setTitle(String title)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetadataLink

    public MetadataLink(URL reference,
                        String title,
                        URI about,
                        MetadataType metadataType)

Parameters:
  `reference` -
  `title` -
  `about` -
  `metadataType` -

Method Detail

### getAbout

    public URI getAbout()

  Returns:
    Returns the about.

### setAbout

    public void setAbout(URI about)

  Parameters:
    `about` - The about to set.

### getMetadataType

    public MetadataType getMetadataType()

  Returns:
    Returns the metadataType.

### setMetadataType

    public void setMetadataType(MetadataType metadataType)

  Parameters:
    `metadataType` - The metadataType to set.

### getReference

    public URL getReference()

  Returns:
    Returns the reference.

### setReference

    public void setReference(URL reference)

  Parameters:
    `reference` - The reference to set.

### getTitle

    public String getTitle()

  Returns:
    Returns the title.

### setTitle

    public void setTitle(String title)

  Parameters:
    `title` - The title to set.

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`
  See Also:
    `Object.clone()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org